> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noisemaker.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace prompts



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/prompts
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/workspaces/{workspace}/prompts:
    get:
      summary: List workspace prompts
      operationId: listPrompts
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromptList'
      security:
        - cookieAuth: []
        - bearerAuth:
            - prompts:read
components:
  schemas:
    PromptList:
      type: array
      items:
        type: object
        properties:
          id:
            type: string
          text:
            type: string
          intent:
            type: string
            nullable: true
          topic:
            type: string
            nullable: true
          lang:
            type: string
          importance:
            type: number
            nullable: true
          scores:
            type: object
            required:
              - R1
              - R2
              - R3
              - R4
              - R5
              - R6
              - R7
            properties:
              R1:
                type: number
                minimum: 0
                maximum: 2
                nullable: true
              R2: f3bc3d79-205d-40f6-b2d8-cd97391e9afe
              R3: ac57ccc7-7d6b-4357-924f-92ecb9e4336f
              R4: 8ee0c8dc-b436-4c10-91b2-e1e5fea8e25d
              R5: 3e8cb281-57d1-41b9-b4e4-00b7178966b2
              R6: 5c9ade2e-1910-4171-957f-a05368bbddf5
              R7: 7275e013-b2d7-4f38-9f92-90afa1769ba4
            additionalProperties: false
          active:
            type: boolean
          retiredAt:
            type: string
            nullable: true
          userProvenance:
            type: boolean
        required:
          - id
          - text
          - intent
          - topic
          - lang
          - importance
          - scores
          - active
          - retiredAt
        additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````